<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	var item = "";
		//bootstrapTable加载数据
		$('#informationTable').bootstrapTable({
			//请求方法
			method: 'post',
			//类型json
			dataType: "json",
			contentType: "application/x-www-form-urlencoded",
			//显示检索按钮
			showSearch: true,
			//显示刷新按钮
			showRefresh: true,
			//显示切换手机试图按钮
			showToggle: false,
			//显示 内容列下拉框
			showColumns: false,
			//显示到处按钮
			showExport: false,
			//显示切换分页按钮
			showPaginationSwitch: true,
			//最低显示2行
			minimumCountColumns: 2,
			//是否显示行间隔色
			striped: true,
			//是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
			cache: false,
			//是否显示分页（*）
			pagination: true,
			//排序方式
			sortOrder: "asc",
			//初始化加载第一页，默认第一页
			pageNumber: 1,
			//每页的记录行数（*）
			pageSize: 10,
			//可供选择的每页的行数（*）
			pageList: [10, 25, 50, 100],
			//这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据
			url: "${ctx}/picking/activiti/exportData",
			//默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
			////查询参数,每次调用是会带上这个参数，可自定义
			queryParams: function (params) {
				var searchParam = $("#searchForm").serializeJSON();
				searchParam.pageNo = params.limit === undefined ? "1" : params.offset / params.limit + 1;
				searchParam.pageSize = params.limit === undefined ? -1 : params.limit;
				searchParam.orderBy = params.sort === undefined ? "" : params.sort + " " + params.order;
				return searchParam;
			},
			//分页方式：client客户端分页，server服务端分页（*）
			sidePagination: "server",
			contextMenuTrigger: "right",//pc端 按右键弹出菜单
			contextMenuTriggerMobile: "press",//手机端 弹出菜单，click：单击， press：长按。
			contextMenu: '#context-menu',
			onClickRow: function (row, $el) {
			},
			onShowSearch: function () {
				$("#search-collapse").slideToggle();
			},
			formatNoMatches: function () {
				return "你的自定义文字说明";
			},
			columns: [
				{
					checkbox: true
				},{
					field: 'reserveProjectName',
					title: '储备项目名称',
				},{
					field: 'projectId',
					title: '项目定义号',
				},
				{
					field: 'projectName',
					title: '项目名称',
				}, {
					field: 'proType',
					title: '项目类型',
				},{
					field: 'version',
					title: '模块版本',
				}, {
					field: 'theNumber',
					title: '第几次领料',
					width:'200px'
				}, {
					field: 'exportAfter',
					title: '是否开过领料单',
				}, {
					field: 'exportTime',
					title: '导出erp领料单时间',
				}, {
					field: 'managerTime',
					title: '审核通过时间',
				}
			]
		});

	$('#inDate').datetimepicker({
		format: "YYYY-MM-DD HH:mm:ss"
	});

	$('#inDate').datetimepicker({
		format: "YYYY-MM-DD HH:mm:ss"
	});

	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端
		  $('#informationTable').bootstrapTable("toggleView");
		}

	$('#informationTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
		'check-all.bs.table uncheck-all.bs.table', function () {
		$('#remove').prop('disabled', ! $('#informationTable').bootstrapTable('getSelections').length);
		$('#view,#edit').prop('disabled', $('#informationTable').bootstrapTable('getSelections').length!=1);
	});

	// 绑定查询按扭
	$("#search").click("click", function() {
		$('#informationTable').bootstrapTable('refresh');
	});

	// 绑定查询重置按扭
	$("#reset").click("click", function() {
		$("#searchForm  input").val("");
		$("#searchForm  select").val("");
		$('#informationTable').bootstrapTable('refresh');
	});

});

	function getIdSelections() {
		return $.map($("#informationTable").bootstrapTable('getSelections'), function (row) {
			return row.id
		});
	}
	//刷新列表
	function refresh() {
		$('#informationTable').bootstrapTable('refresh');
	}

	/**
	 * 成本
	 * */
	function exportErp(id){
		if(id == undefined){
			id = getIdSelections();
		}
		var val = encodeURI(encodeURI($("#projectName").val()));
		/*成本*/
		jp.downloadFile('${ctx}/picking/activiti/exportErpData?id=' + id + '&projectName=' + val);
		refresh();
	}

	/**
	 * 资本
	 * */
	function exportErp2(id){
		if(id == undefined){
			id = getIdSelections();
		}
		var val = encodeURI(encodeURI($("#projectId").val()));
		/*资本*/
		jp.downloadFile('${ctx}/picking/activiti/exportZb?id=' + id + '&projectId=' + val);
		refresh();
	}

</script>
